Bug 492843 - qpid/cluster/ExpiryPolicy.cpp:47: virtual void qpid::cluster::ExpiryPolicy::willExpire(qpid::broker::Message&): Assertion `unexpiredByMessage.find(&m) == unexpiredByMessage.end()' failed.
qpid/cluster/ExpiryPolicy.cpp:47: virtual void qpid::cluster::ExpiryPolicy::w...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
urgent Severity urgent
: 1.1.1
: ---
Assigned To: Alan Conway
ppecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 07:11 EDT by Gordon Sim
Modified: 2011-06-28 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 15:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-03-30 07:11:05 EDT
Description of problem:

When running latest (r759341) management python tests against a clustered broker, the broker fails with the assertion:

lt-qpidd: qpid/cluster/ExpiryPolicy.cpp:47: virtual void qpid::cluster::ExpiryPolicy::willExpire(qpid::broker::Message&): Assertion `unexpiredByMessage.find(&m) == unexpiredByMessage.end()' failed.

The test that triggers th failure is tests_0-10.management.ManagementTest.test_methods_sync

Version-Release number of selected component (if applicable):

Latest from trunk (r759882).

How reproducible:

100%

Steps to Reproduce:
1. start clustered broker node
2. run python test: tests_0-10.management.ManagementTest.test_methods_sync
Comment 1 Alan Conway 2009-03-30 14:32:08 EDT
Fixed in revision 760087
Comment 2 ppecka 2010-09-02 09:41:27 EDT
Verified on RHEL 5.5  - i386 / x86_64 :
qpid-python-test -m qpid_tests.broker_0_10.management

python-qpid-0.7.946106-13.el5
qpid-cpp-client-0.7.946106-12.el5
qpid-cpp-client-devel-0.7.946106-12.el5
qpid-cpp-client-devel-docs-0.7.946106-12.el5
qpid-cpp-client-ssl-0.7.946106-12.el5
qpid-cpp-mrg-debuginfo-0.7.946106-11.el5
qpid-cpp-server-0.7.946106-12.el5
qpid-cpp-server-cluster-0.7.946106-12.el5
qpid-cpp-server-devel-0.7.946106-12.el5
qpid-cpp-server-ssl-0.7.946106-12.el5
qpid-cpp-server-store-0.7.946106-12.el5
qpid-cpp-server-xml-0.7.946106-12.el5
qpid-java-client-0.7.946106-8.el5
qpid-java-common-0.7.946106-8.el5
qpid-tests-0.7.946106-1.el5
qpid-tools-0.7.946106-9.el5


--> VERIFIED
Comment 3 Justin Ross 2011-06-28 15:20:22 EDT
Fixed and verified; closing.

Note You need to log in before you can comment on or make changes to this bug.